Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
VIDEO_CARDS value for Mobility Radeon X1600 [RV530/M56P]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
Tractor Girl
Apprentice
Apprentice


Joined: 16 May 2013
Posts: 159

PostPosted: Sat Mar 29, 2014 5:02 pm    Post subject: VIDEO_CARDS value for Mobility Radeon X1600 [RV530/M56P] Reply with quote

What VIDEO_CARDS should I set for my Mobility Radeon X1600 [RV530/M56P]?
Should it be:
Code:
radeon

or
Code:
r300

or both?

What's the difference between these two?
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sat Mar 29, 2014 9:16 pm    Post subject: Reply with quote

IIRC radeon , r300 project was swallowed IIRC correctly I ran both fglrx and radeon on a x1900 some while ago.

from the wiki: Old Radeon cards (X1900 series and older) don't need the radeon-ucode package or any firmware configuration. Just enable the Direct Rendering Manager and ATI Radeon modesetting. (although there used to be an r300 firmware and I have /lib/firmware/R300_cp.bin from emerge linux-firmware)
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Tractor Girl
Apprentice
Apprentice


Joined: 16 May 2013
Posts: 159

PostPosted: Sun Mar 30, 2014 4:26 pm    Post subject: Reply with quote

I'm not sure if I understand correctly...
So basically 'radeon' is just plain open driver, and 'r300' is some additional firmware (although wiki states that no such firmware is need this card)?
Or maybe 'radeon' is a whole set of stuff, and things like 'r300' 'r600' etc are just its subsets for particular card families?

Anyway when I set VIDEO_CARDS to 'radeon' only, I can unset mesa's 'gallium' USE flag. If VIDEO_CARDS is set to 'radeon r300' the are some problems:

Code:

    The following REQUIRED_USE flag constraints are unsatisfied:
    video_cards_r300? ( gallium )

  The above constraints are a subset of the following complete expression:
    llvm? ( gallium ) openvg? ( egl gallium ) opencl? ( gallium video_cards_r600? ( r600-llvm-compiler ) video_cards_radeon? ( r600-llvm-compiler ) video_cards_radeonsi? ( r600-llvm-compiler ) ) gles1? ( egl ) gles2? ( egl ) r600-llvm-compiler? ( gallium llvm any-of ( video_cards_r600 video_cards_radeonsi video_cards_radeon ) ) wayland? ( egl gbm ) xa? ( gallium ) video_cards_freedreno? ( gallium ) video_cards_intel? ( any-of ( classic gallium ) ) video_cards_i915? ( any-of ( classic gallium ) ) video_cards_i965? ( classic ) video_cards_ilo? ( gallium ) video_cards_nouveau? ( any-of ( classic gallium ) ) video_cards_radeon? ( any-of ( classic gallium ) ) video_cards_r100? ( classic ) video_cards_r200? ( classic ) video_cards_r300? ( gallium ) video_cards_r600? ( gallium ) video_cards_radeonsi? ( gallium llvm ) video_cards_vmware? ( gallium )


So it looks like 'r300' needs gallium and 'radeon' does not.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum